#!/usr/bin/env fish

echo "
set datafile separator \",\"
set xlabel '$argv[1]'
set ylabel '$argv[3]'
set term png
set output '$argv[5]'
plot 'always.avg' using $argv[2]:$argv[4] title 'Always Attacking' pt 5, 'interval10.avg' using $argv[2]:$argv[4] title '10 Generation-Intervals' pt 5, 'interval100.avg' using $argv[2]:$argv[4] title '100 Generation-Intervals' pt 5, 'random.avg' using $argv[2]:$argv[4] title 'Random Attacks' pt 5
" | gnuplot
